Update an invoice

Update an existing invoice draft for the company.

This operation will update all fields of the invoice. It's recommended that you perform a GET request to the invoice first to get the current state of the invoice and then update the fields you want to change.

NOTE: It's only possible to update invoices that are in draft status.

Scope: invoices:write

Path Params
uuid
required

Unique identifier of the company

uuid
required

Unique identifier of the invoice

Body Params

Post the necessary fields for the API to update an invoice.

string
enum
Defaults to invoice

The type of the invoice can be invoice or cashInvoice. Can only be set to invoice when creating a new invoice and will default to invoice if not set.

Allowed:
customerRef
object
contactDetailRef
object | null
string

The order number associated with the invoice.

string
Defaults to SEK

ISO 4217 currency code

double
Defaults to 1
date
required
date
required
date-time | null

The date when the credit note was published (null for draft)

lineItems
array
required
lineItems*
deliveryAddress
metadata
object

Metadata fields for the invoice as string key-value pairs. These fields can be used for filtering.All metadata keys must start with a letter or underscore and contain only alphanumeric characters and underscores.

Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json